package com.chelvc.cloud.vehicle.api.param;
import com.chelvc.cloud.vehicle.api.constant.CouponStatus;
import com.chelvc.cloud.vehicle.api.constant.CouponType;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 优惠券数据模型
 *
 * @author liude
 * @date 2023/8/27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class CouponModifyParam {

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 优惠券类型
     */
    private CouponType type;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 优惠金额
     */
    private Double amount;

    /**
     * 满减金额
     */
    private Double reduce;

    /**
     * 优惠折扣
     */
    private Double discount;

    /**
     * 过期时间
     */
    private Date expiration;

    /**
     * 优惠券描述
     */
    private String description;

    /**
     * 优惠券状态
     */
    private CouponStatus status;
}
